ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Backwards compatability?
Date Mon, 22 Jul 2002 09:26:43 GMT
On Sun, 21 Jul 2002, <dion@multitask.com.au> wrote:

> Can't there be tests written for antcall to pick this up?

They *have* been written as the changes have been there to fix
something that we considered to be a bug.

As it turns out, there are build files that relied on this bug and I
don't see any way to write antcall to fix both bug reports

<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=5662>
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=10928>

1.4.1 has the former bug, but not the later, in 1.5 it is the other
way around.

I don't know why the Avalon build hasn't failed for 1.5 Gump runs, it
could have caught the problem earlier.  A pitty nobody has tried Ant
1.5 on them before.

Stefan

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message